### Hierarchy

- IJenkinsObject
  - IJenkinsNode

### Implemented by

- JenkinsNode

## Index

### Properties

- _class
- actions
- displayName
- executors
- icon
- iconClassName
- idle
- jnlpAgent
- launchSupported
- loadStatistics
- manualLaunchAllowed
- monitorData
- name
- numExecutors
- offline
- offlineCause
- offlineCauseReason
- oneOffExecutors
- temporarilyOffline
- url

### Methods

- fromJson
- fromJsonString
- getJsonData

## Properties

### _class

_class: string

Inherited from IJenkinsObject._class

- Defined in jenkins-api-ts-typings.ts:25

### actions

actions: Array<any>

- Defined in jenkins-api-ts-typings.ts:57

### displayName

displayName: string

- Defined in jenkins-api-ts-typings.ts:45

### executors

executors: Array<any>

- Defined in jenkins-api-ts-typings.ts:58

### icon

icon: string

- Defined in jenkins-api-ts-typings.ts:48

### iconClassName

iconClassName: string

- Defined in jenkins-api-ts-typings.ts:49

### idle

idle: boolean

- Defined in jenkins-api-ts-typings.ts:46

### jnlpAgent

jnlpAgent: boolean

- Defined in jenkins-api-ts-typings.ts:47

### launchSupported

launchSupported: boolean

- Defined in jenkins-api-ts-typings.ts:50

### loadStatistics

loadStatistics: any

- Defined in jenkins-api-ts-typings.ts:59

### manualLaunchAllowed

manualLaunchAllowed: boolean

- Defined in jenkins-api-ts-typings.ts:51

### monitorData

monitorData: any

- Defined in jenkins-api-ts-typings.ts:60

### name

name: string

- Defined in jenkins-api-ts-typings.ts:42

### numExecutors

numExecutors: number

- Defined in jenkins-api-ts-typings.ts:52

### offline

offline: boolean

- Defined in jenkins-api-ts-typings.ts:53

### offlineCause

offlineCause: any

- Defined in jenkins-api-ts-typings.ts:61

### offlineCauseReason

offlineCauseReason: string

- Defined in jenkins-api-ts-typings.ts:54

### oneOffExecutors

oneOffExecutors: Array<any>

- Defined in jenkins-api-ts-typings.ts:62

### temporarilyOffline

temporarilyOffline: boolean

- Defined in jenkins-api-ts-typings.ts:55

### url

url: string

- Defined in jenkins-api-ts-typings.ts:43

## Methods

### fromJson

- fromJson(json: JSON): void

- Inherited from IJenkinsObject.fromJson

  - Defined in jenkins-api-ts-typings.ts:27

  #### Parameters

  - ##### json: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Inherited from IJenkinsObject.fromJsonString

  - Defined in jenkins-api-ts-typings.ts:28

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Inherited from IJenkinsObject.getJsonData

  - Defined in jenkins-api-ts-typings.ts:26

  #### Returns string

Generated using TypeDoc